<html>
<body>
<pre>
<h1>礦ision Build Log</h1>
<h2>Tool Versions:</h2>
IDE-Version: μVision V5.39.0.0
Copyright (C) 2023 ARM Ltd and ARM Germany GmbH. All rights reserved.
License Information: Guoliang Wang, Soochow University, LIC=HN0AE-5LV6L-PCBJ8-33USB-IBFK3-3UEMY
 
Tool Versions:
Toolchain:       MDK-ARM Plus  Version: 5.39.0.0
Toolchain Path:  C:\Environments\Keil_v5\ARM\ARMCC\Bin
C Compiler:      Armcc.exe V5.06 update 6 (build 750)
Assembler:       Armasm.exe V5.06 update 6 (build 750)
Linker/Locator:  ArmLink.exe V5.06 update 6 (build 750)
Library Manager: ArmAr.exe V5.06 update 6 (build 750)
Hex Converter:   FromElf.exe V5.06 update 6 (build 750)
CPU DLL:         SARMCM3.DLL V5.39.0.0
Dialog DLL:      DARMSTM.DLL V1.69.1.0
Target DLL:      CMSIS_AGDI.dll V1.33.16.0
Dialog DLL:      TARMSTM.DLL V1.67.1.0
 
<h2>Project:</h2>
E:\嵌入式\实验一\寄存器-位带操作\BH-F103.uvprojx
Project File Date:  03/22/2024

<h2>Output:</h2>
*** Using Compiler 'V5.06 update 6 (build 750)', folder: 'C:\Environments\Keil_v5\ARM\ARMCC\Bin'
Build target 'BH-F103'
compiling main.c...
stm32f10x.h(69): warning:  #1-D: last line of file ends without a newline
  #endif
main.c: 1 warning, 0 errors
linking...
Program Size: Code=452 RO-data=320 RW-data=0 ZI-data=1024  
FromELF: creating hex file...
".\Objects\BH-F103.axf" - 0 Error(s), 1 Warning(s).

<h2>Software Packages used:</h2>

Package Vendor: Keil
                https://www.keil.com/pack/Keil.STM32F1xx_DFP.2.4.1.pack
                Keil::STM32F1xx_DFP@2.4.1
                STMicroelectronics STM32F1 Series Device Support, Drivers and Examples

<h2>Collection of Component include folders:</h2>
  C:/Users/zx108wl/AppData/Local/arm/packs/Keil/STM32F1xx_DFP/2.4.1/Device/Include

<h2>Collection of Component Files used:</h2>
Build Time Elapsed:  00:00:01
</pre>
</body>
</html>
